Debian Bug report logs - #216773
gnocatan-client: Cannot connect to localhost game started from the metaserver menu

version graph

Package: gnocatan-client; Maintainer for gnocatan-client is (unknown);

Reported by: Niels Langager Ellegaard <gnalle@ruc.dk>

Date: Mon, 20 Oct 2003 20:03:02 UTC

Severity: wishlist

Found in version 0.8.0-2

Done: Jeff Breidenbach <jeff@jab.org>

Bug is archived. No further changes may be made.

Forwarded to gnocatan-develop@lists.sourceforge.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jeff Breidenbach <jab@debian.org>:
Bug#216773; Package gnocatan-client. Full text and rfc822 format available.

Acknowledgement sent to Niels Langager Ellegaard <gnalle@ruc.dk>:
New Bug report received and forwarded. Copy sent to Jeff Breidenbach <jab@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niels Langager Ellegaard <gnalle@ruc.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnocatan-client: Cannot connect to localhost game started from the metaserver menu
Date: Mon, 20 Oct 2003 21:53:22 +0200
Package: gnocatan-client
Version: 0.8.0-2
Severity: important

I am unable to connect to a game that I have created from the meta
server menu. So far I havent been able to find a 8.0 server on the metaserver
so this may be a server bug instead of a client bug

Receiving a list of Gnocatan servers from the meta server.
21:39:41 Finished.
21:39:44 Receiving game names from the meta server.
21:39:45 Finished.
21:39:46 Requesting new game server
21:39:46 New game server started on sheridan.dodds.net port 262
21:39:52 Connecting to localhost, port 5556
21:39:52 Unknown message in mode_start: +host=nissefisken version=3.3.2
uptime=01:57:15 audio-bits=16 audio-byte-order=little-endian
audio-channels=2 audio-device=/dev/dsp audio-format=linear-16
audio-fragsize=4096 audio-port=speaker,headphone,lineout audio-rate=10
audio-sample-rate=48000 volume=170 curr-rate=10 priority-threshold=0
audio-close=5 audio-device-status=closed

My sound seems to work, but when I did the tests no programs were using
/dev/dsp

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux nissefisken 2.4.21 #4 SMP Thu Sep 4 19:55:07 CEST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages gnocatan-client depends on:
ii  bonobo-activation             1:2.2.4-1  Bonobo Activation Framework
ii  libart-2.0-2                  2.3.16-1   Library of functions for 2D graphi
ii  libatk1.0-0                   1.2.4-1    The ATK accessibility toolkit
ii  libaudiofile0                 0.2.3-4    The Audiofile Library
ii  libbonobo-activation4         1:2.2.4-1  Bonobo Activation Framework -- run
ii  libbonobo2-0                  2.2.3-1    Bonobo CORBA interfaces library
ii  libbonoboui2-0                2.2.4-2    The Bonobo UI library
ii  libc6                         2.3.2-7    GNU C Library: Shared libraries an
ii  libesd0                       0.2.29-1   Enlightened Sound Daemon - Shared 
ii  libgconf2-4                   2.2.1-4    GNOME configuration database syste
ii  libgcrypt1                    1.1.12-4   LGPL Crypto library - runtime libr
ii  libglib2.0-0                  2.2.3-1    The GLib library of C routines
ii  libgnome2-0                   2.2.3-2    The GNOME 2 library - runtime file
ii  libgnomecanvas2-0             2.2.1-3    A powerful object-oriented display
ii  libgnomeui-0                  2.2.2-2    The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0                2.2.5-3    The GNOME virtual file-system libr
ii  libgnomevfs2-common           2.2.5-3    The GNOME virtual file-system libr
ii  libgnutls7                    0.8.9-2    GNU TLS library - runtime library
ii  libgtk2.0-0                   2.2.4-1    The GTK+ graphical user interface 
ii  libjpeg62                     6b-9       The Independent JPEG Group's JPEG 
ii  liblinc1                      2:1.0.3-4  library to simplify creating netwo
ii  liborbit2                     1:2.6.3-2  Libraries for ORBit2 - a CORBA ORB

ii  libtasn1-0                    0.1.2-1    Manage ASN.1 structures (runtime)
ii  libxml2                       2.5.11-2   GNOME XML library
ii  xlibs                         4.2.1-12.1 X Window System client libraries
ii  zlib1g                        1:1.1.4-15 compression library - runtime

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Breidenbach <jab@debian.org>:
Bug#216773; Package gnocatan-client. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to Jeff Breidenbach <jab@debian.org>. Full text and rfc822 format available.

Message #10 received at 216773@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Niels Langager Ellegaard <gnalle@ruc.dk>, 216773@bugs.debian.org
Subject: Re: Bug#216773: gnocatan-client: Cannot connect to localhost game started from the metaserver menu
Date: Mon, 20 Oct 2003 17:21:53 -0500
[Message part 1 (text/plain, inline)]
On Mon, Oct 20, 2003 at 09:53:22PM +0200, Niels Langager Ellegaard wrote:
> Package: gnocatan-client
> Version: 0.8.0-2
> Severity: important

> I am unable to connect to a game that I have created from the meta
> server menu. So far I havent been able to find a 8.0 server on the metaserver
> so this may be a server bug instead of a client bug

> Receiving a list of Gnocatan servers from the meta server.
> 21:39:41 Finished.
> 21:39:44 Receiving game names from the meta server.
> 21:39:45 Finished.
> 21:39:46 Requesting new game server
> 21:39:46 New game server started on sheridan.dodds.net port 262

First, you appear to be requesting the remote creation of a game session
on the gnocatan metaserver.  We have discussed the scalability issues
with allowing game creation on the public metaserver; I don't remember
where this was left, exactly, but if it does work today, you should
probably not rely on it working.

> 21:39:52 Connecting to localhost, port 5556

Second, after requesting the creation of a remote server, you then
appear to be trying to connect to your local machine, where no game
server is running.

I've just tested and confirmed that the metaserver does not allow
creating new games remotely.  There is definitely room for improvement
where the metaserver ui/protocol is concerned, but that's not likely to
get fixed in the near term -- your best solution for now is to start a
server by hand on *your* machine and register it with the metaserver.

-- 
Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Breidenbach <jab@debian.org>:
Bug#216773; Package gnocatan-client. Full text and rfc822 format available.

Acknowledgement sent to Jeff Breidenbach <jeff@jab.org>:
Extra info received and forwarded to list. Copy sent to Jeff Breidenbach <jab@debian.org>. Full text and rfc822 format available.

Message #15 received at 216773@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jeff@jab.org>
To: vorlon@netexpress.net, 216773@bugs.debian.org
Cc: gnocatan-develop@lists.sourceforge.net
Subject: Re: Bug#216773: gnocatan-client: Cannot connect to localhost game started from the metaserver menu
Date: Mon, 20 Oct 2003 15:56:04 -0700
In reference to Debian bug #216773
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=216773

I think it is just too dangerous to allow remote game creation on the
metaserver. The following sequence of events

  $ gnocatan
 
     --> query meta server

     --> add

     --> ok

     --> ok

probably could/should be repurposed to start a local server game,
register that game with the meta server, and then have the client
attach to the newly-started game.

But again, this is an upstream thing and Steve's advise is what
you need to do for 0.8.0-2.

-Jeff



Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Breidenbach <jab@debian.org>:
Bug#216773; Package gnocatan-client. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to Jeff Breidenbach <jab@debian.org>. Full text and rfc822 format available.

Message #20 received at 216773@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Jeff Breidenbach <jeff@jab.org>
Cc: 216773@bugs.debian.org, gnocatan-develop@lists.sourceforge.net
Subject: Re: Bug#216773: gnocatan-client: Cannot connect to localhost game started from the metaserver menu
Date: Tue, 21 Oct 2003 12:59:20 -0500
[Message part 1 (text/plain, inline)]
On Mon, Oct 20, 2003 at 03:56:04PM -0700, Jeff Breidenbach wrote:

> In reference to Debian bug #216773
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=216773

> I think it is just too dangerous to allow remote game creation on the
> metaserver. The following sequence of events

>   $ gnocatan

>      --> query meta server

>      --> add

>      --> ok

>      --> ok

> probably could/should be repurposed to start a local server game,
> register that game with the meta server, and then have the client
> attach to the newly-started game.

Here are the various goals I see, not all of which can be simultaneously
supported with a single server 'add' interface:

- protect the public metaserver from infrastructure scalability problems
  by disallowing (or limiting) remote creation of games
- allow users behind NAT firewalls or firewalls they have no
  administrative access to to easily initiate games
- let private metaservers be configured to allow creation of games
  remotely, to centralize the management of the game servers and
  minimize the per-game cost in a closed environment

It would be nice to be able to balance all of these requirements in the
interface.  Perhaps the most straightforward implementation would be to
establish a configurable game limit for the metaserver, a protocol bit
for the metaserver to tell clients when this limit is reached, and
fallback code in the client to support spawning the server locally if
the metaserver has hit its own limit.

-- 
Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Severity set to `wishlist'. Request was from Jeff Breidenbach <jeff@jab.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to gnocatan-develop@lists.sourceforge.net. Request was from Jeff Breidenbach <jeff@jab.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jeff Breidenbach <jeff@jab.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niels Langager Ellegaard <gnalle@ruc.dk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 216773-done@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jeff@jab.org>
To: 216773-done@bugs.debian.org
Date: Sun, 09 May 2004 23:52:53 -0700
I think the interface in Gnocatan 0.8.1.26 addresses this
by revamping the game creation UI.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:22:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.